Subject: bug#12611: Bugfix for broken hunspell choices

From: Noam Postavsky <[email-masked]>
Date: Tue, 28 Aug 2018 19:00:44 -0400

forwarded 12611 forwarded 12611 https://sourceforge.net/p/hunspell/bugs/211/
close 12611
quit

>> You mean "bugs".  Yes, quite probably.  The solution is to fix
>> Hunspell (I think I can give the OP patches, if he can build his own
>> Hunspell).
>
> Indeed. Browsing into hunspell bug tracker I noticed another report (with
> proposed change) that may be related to this problem,
>
>   http://sourceforge.net/tracker/?func=detail&aid=3468022&group_id=143754&atid=756395
>   No Encoding of Word for Suggestions in Piped Mode - ID: 3468022

It now redirects to https://sourceforge.net/p/hunspell/bugs/211/, the
maintainer says it's probably fixed in hunspell 1.3.4.

> A consequence of this bug seems that when communicated with in UTF-8, useful
> suggestions are not generated from an 8-bit dictionary.
>
> This in adition to report and changes proposed in
>
>   http://sourceforge.net/tracker/?func=detail&aid=3178449&group_id=143754&atid=756395
>  Bad UTF-8 char count in pipe mode - ID: 3178449

This one is marked fixed (https://sourceforge.net/p/hunspell/bugs/185/).